import express from 'express';
import {
    createAccount,
    forgetPassword,
    login,
    resetPassword
} from '../controller/authController.js';
import { requireFirstAdminSetup } from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/register', requireFirstAdminSetup, createAccount); //done
router.post('/login', login); //done
router.post('/forget-password', forgetPassword);
router.post('/reset-password', resetPassword);

export default router;
